VkPhysicalDeviceSparseProperties Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkBool32 | residencyStandard2DBlockShape
VkBool32 | residencyStandard2DMultisampleBlockShape
VkBool32 | residencyStandard3DBlockShape
VkBool32 | residencyAlignedMipSize
VkBool32 | residencyNonResidentStrict

## Detailed Description

Definition at line 1980 of file vulkan_core.h.

## Field Documentation

## residencyAlignedMipSize

VkBool32 VkPhysicalDeviceSparseProperties::residencyAlignedMipSize

Definition at line 1984 of file vulkan_core.h.

## residencyNonResidentStrict

VkBool32 VkPhysicalDeviceSparseProperties::residencyNonResidentStrict

Definition at line 1985 of file vulkan_core.h.

## residencyStandard2DBlockShape

VkBool32 VkPhysicalDeviceSparseProperties::residencyStandard2DBlockShape

Definition at line 1981 of file vulkan_core.h.

## residencyStandard2DMultisampleBlockShape

VkBool32 VkPhysicalDeviceSparseProperties::residencyStandard2DMultisampleBlockShape

Definition at line 1982 of file vulkan_core.h.

## residencyStandard3DBlockShape

VkBool32 VkPhysicalDeviceSparseProperties::residencyStandard3DBlockShape

Definition at line 1983 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h